---
- name: Include OS specific setup tasks
  ansible.builtin.include_tasks: "{{ item }}"
  with_first_found:
    - "tasks/setup-{{ ansible_facts['distribution'] | lower }}.yml"
    - "tasks/setup-{{ ansible_facts['os_family'] | lower }}.yml"

- name: Setup server
  ansible.builtin.include_tasks:
    file: server.yml

- name: Enable wg service
  ansible.builtin.service:
    name: wg-quick@{{ wireguard_interface }}.service
    enabled: true
    state: started

- name: Setup clients
  ansible.builtin.include_tasks:
    file: "client.yml"
  with_items: "{{ wireguard_clients }}"
  loop_control:
    loop_var: client
    index_var: index
